/**
 * Задание 5.
 *
 * Написать программу, которая будет опрашивать и приветствовать пользователя.
 *
 * Программа должна узнать у пользователя его:
 * - Имя;
 * - Фамилию;
 * - Год рождения.
 *
 * Если пользователь вводит некорректные данные,
 * программа должна повторно опрашивать его до тех пор,
 * пока данные не будут введены корректно.
 *
 * Данные считается введёнными некорректно, если:
 * - Пользователь не вводит в поле никаких данных;
 * - Год рождения, введённый пользователем меньше, чем 1910 или больше, чем текущий год.
 *
 * Когда пользователь введёт все необходимые данные корректно,
 * вывести в консоль сообщение:
 * «Добро пожаловать, родившийся в ГОД_РОЖДЕНИЯ, ИМЯ ФАМИЛИЯ.».
 */

let userName;
let userSurname;
let userBirthYear;

do {

	userName = prompt('Enter your name');
	userSurname = prompt('Enter your surname');
	userAge = prompt('Enter your age');

	if (userName === null || userSurname === null || userAge === null) break;

} while (isNaN(userAge) || userAge < 1910 || userAge > 2023 || userAge === '' || userName === '' || userSurname === '');

console.log(`«Добро пожаловать, родившийся в ${userAge}, ${userName} ${userSurname}»`);